# Get E-Waybill Download Status

This API can be used to pull the status of the E-way bills generated by 3rd party against your GSTIN. The API can pull data from the workflow ID provided.

### Request Method

GET

### Request URL

```
{{HOST}}/einv/async_action/{{workflow_id}}/otherparty_ewb_download_status
```

### Request Headers

<table><thead><tr><th width="190">Parameter</th><th width="149.33331298828125">Data Type</th><th width="150">Field Validations</th><th>Description</th></tr></thead><tbody><tr><td>X-Cleartax-Auth-Token</td><td>Header</td><td>String</td><td>Mandatory. The auth token generated from ClearTax user id and password. <a href="https://docs.cleartax.in/cleartax-for-developers/e-invoicing-api/e-invoicing-api-reference/authentication-token">Know how.</a></td></tr><tr><td>gstin</td><td>Header</td><td>String</td><td>Mandatory. GSTIN number for the user</td></tr></tbody></table>

### Request Path Params

<table><thead><tr><th width="187.6666259765625">Parameter</th><th width="147">Data Type</th><th width="159.66668701171875">Field Validations</th><th>Description</th></tr></thead><tbody><tr><td>workflow_id</td><td>String</td><td>24 Characters</td><td>Mandatory. The workflow ID which is captured from EWB by others' responses.</td></tr></tbody></table>

### Request Query Params

There are no query parameters for this API.

### Request Body

NA

### Response Status Codes

| HTTP Status Code | Description                                                                  |
| ---------------- | ---------------------------------------------------------------------------- |
| 200              | For a successfully processed request (may be a success or validation error). |
| 401              | If the user is not authenticated for the operation.                          |
| 403              | If the user is not authorized for the operation.                             |
| 500              | If there are any unhandled exceptions on the Clear side.                     |

### Response Schema

| Parameter      | Data Type | Field Validations | Description                                                                 |
| -------------- | --------- | ----------------- | --------------------------------------------------------------------------- |
| workflow\_id   | String    | 24 Characters     | Mandatory. The workflow ID which is captured from EWB by others' responses. |
| status         | String    | Enum: PROCESSED   | Status of the activity.                                                     |
| message        | String    | NA                | Activity Message                                                            |
| error\_message | String    | NA                | Error message                                                               |
| total          | Number    | NA                | Total E-Way bills found.                                                    |
| failed         | Number    | NA                | Number of E-way bills could not be downloaded.                              |
| success        | Number    | NA                | Number of E-Way bills downloaded.                                           |

#### Error Schema

| Parameter      | Data Type | Field Validations                          | Description                                                               |
| -------------- | --------- | ------------------------------------------ | ------------------------------------------------------------------------- |
| error\_code    | Number    | NA                                         | Error Code. If there is no error, then this field will not be present.    |
| error\_message | String    | NA                                         | Error message. If there is no error, then this field will not be present. |
| error\_source  | String    | <p>Enum: </p><p>CLEARTAX,</p><p>GOVT. </p> | Error Source. If there is no error, then this field will not be present.  |

### Sample Request and Response

#### Request&#x20;

There will be no request body.&#x20;

#### Response - Success:&#x20;

**HTTP Status Code - 200 OK**

```json
{
    "workflow_id": "61fb6de92b86d943ddf7c25c",
    "status": "PROCESSED",
    "message": "Your E-way bill data was successfully downloaded. Total E-way bills downloaded: 4.",
    "error_message": null,
    "total": 4,
    "failed": 0,
    "success": 4
}
```

#### Response - Failure:&#x20;

**HTTP Status Code - 200 OK**

```json
{
    "error_code": "500",
    "error_message": "Something went wrong. Please retry after some time. Contact cleartax support (einv-support@cleartax.in) if issue persists.",
    "error_source": "CLEARTAX"
}
```

### API Validations

Currently there are no known validations for this API.

### API Constraints

Currently there are no known constraints for this API.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/e-invoicing-api/e-invoicing-api-reference/cleartax-e-invoicing-apis-xml-schema/e-waybills-apis/get-e-waybill-download-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
